/*
	ConnectMore project

	by Walaber

	CLASS: BallFrame - the main frame that holds the balls in the level.
*/

#ifndef _BALLFRAME_INCLUDED_
#define _BALLFRAME_INCLUDED_

#include "Prereqs.h"

#include "HelperFunctions.h"
#include "PhysicsObject.h"
#include "3dmath.h"
#include <Newton.h>
#include <DarkSDK.h>

class BallFrame : public PhysicsObject
{
public:
	
	// basic constructor.
	BallFrame( NewtonWorld* world, int newtonMat );

	// destructor
	~BallFrame();


private:

	int mWindowObj;


};

#endif // _BALLFRAME_INCLUDED_
	