/*
	ConnectMore project

	by Walaber

	CLASS: ScoreBoard - basic class for a scoreboard object for displaying simple text.
*/

#ifndef _SCOREBOARD_INCLUDED_
#define _SCOREBOARD_INCLUDED_

#include "Prereqs.h"
#include "HelperFunctions.h"
#include <DarkSDK.h>

class ScoreBoard
{
public:
	struct LetterInfo
	{
		int mObjNum;
		float mXOffset;
		float mYOffset;

		LetterInfo()
		{
			mObjNum = 0;
			mXOffset = mYOffset = 0.0f;
		}

		~LetterInfo() {}
	};

	// constructor
	ScoreBoard( int sizex, int sizey, float charsizex, float charsizey, float charspacing, char* texImgFile, dVector position, dVector rot );

	~ScoreBoard();

	//baic functions....
	void setRowText( int row, char* text );


	
private:

	int mSizeX;
	int mSizeY;

	LetterInfo* mLetters;

	int mImgNum;

};

#endif	// _SCOREBOARD_INCLUDED_